#### D.6.13.3 gmscoeffs

Procedure from library `gmssing.lib` (see gmssing_lib).

Usage:
  gmscoeffs(p,K); poly p, int K

Assume:
  basering constructed by gmsring

Return:

      list l;
        matrix l[1];  C[[s]]-basis representation of p mod s^(K+1)
        ideal l[2];  p==matrix(gmsbasis)*l[1]+l[2]

Note:
  computation can be continued by setting p=l[2]

Example:

    LIB "gmssing.lib";
    ring R=0,(x,y),ds;
    poly t=x5+x2y2+y5;
    def G=gmsring(t,"s");
    setring(G);
    list l0=gmscoeffs(gmspoly,0);
    print(l0[1]);
    ==> -1/2,
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 0
    list l1=gmscoeffs(gmspoly,1);
    print(l1[1]);
    ==> -1/2,
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 1/2s
    list l=gmscoeffs(l0[2],1);
    print(l[1]);
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 1/2s

User manual for Singular version 4.4.1, 2025, generated by texi2html.